Trying to Blend surface C#

I am currently trying to make a method that takes 2 breps, gets the closest edges on each respective brep, then simulates the “BlendSrf” function that is available in Rhino. The way that I’m doing it is by using the CreateEdgeSurface function and passing in the closest edges on each brep in an array.
My issue comes in when I want to change how the curve looks by changing the Curve Continuity, like the BlendSrf function can. The CreateEdgeSurface function has no overloads to enable me to do this. I also tried just using the CreateBlendCurve twice with reversing the order of the curves to make different curves, but the curves looked alot different than when blendsrf did the same thing.
Help?

There was also this, which is a related post: http://mcneel.myjetbrains.com/youtrack/issue/RH-29978
Says that Rhino.Geometry.Brep.CreateBlendSurface was added, but I don’t see it anywhere.

Hi Jed,

The function was added to the forthcoming Rhino 6 - you won’t find the function in Rhino 5.

Make sense?

– Dale

Makes sense as to why I couldn’t find it now.

But is there any way that I can do it now though? Like I said, the function I made does something similar but can’t construct the brep using tangencies or curvatures. Any way that i could do that?

Any way that i could do that?

I don’t know. I’d have to know more about what you are doing, and I’d have to see some code.

Sure, so the function I made is making the gold surface that is connecting the quadrilateral and the triangle and BlendSrf is making the black wavy lines.
If I were to check “Position” on both of the options, Surface Blend would give me the same thing as the object my function produces.

All that my code is doing is passing in the two breps, finding which edges on each respective brep are closest to one another, and then using “Brep blendSrf = Brep.CreateEdgeSurface(edges);” to make a brep. The only thing I want to be able to do is have those different options that Surface Blend has, aka tangency, curvature, g3, and g4 to be able to adjust this output as needed.

Thanks for your replies too lol